File snipl.changes of Package snipl

-------------------------------------------------------------------
Mon Dec 11 17:02:01 UTC 2017 - mpost@suse.com

- Added snipl-sles15-openssl11.patch (bsc#1071405).
  snipl fails to compile against openssl 1.1.0

-------------------------------------------------------------------
Thu Sep 21 21:40:22 UTC 2017 - mpost@suse.com

- Remove deprecated DMSVSMA functionality from snIPL. (Fate#322117)
  - Removed the dmsvsma.x file from the build.
  - Removed all DMSVSMA references from the spec file.

-------------------------------------------------------------------
Tue Sep 12 17:34:49 UTC 2017 - mpost@suse.com

- Modifed CFLAGS to include "pkg-config --libs libnsl" now that
  libnsl.so is not part of glibc, and is in /usr/lib64/nsl/.
- Added a BuildRequires for libsnl-devel.

-------------------------------------------------------------------
Thu Jan 26 00:01:15 UTC 2017 - jengelh@inai.de

- Remove ancient sections and replace old rpm macros

-------------------------------------------------------------------
Wed Jan 25 20:34:41 UTC 2017 - mpost@suse.com

- Upgraded to snipl 0.3.0.0 (Fate#319579)
  - Changes:
    - Remove default password from snipl
    - Enable SNMPv3 encrypted communication with HMC/SE
     - Enable OpenSSL encrypted communication with SMAPI servers
  - Bug Fixes:
    - Improve error and command line parameter handling
    - Improve support for the x86_64 platform
    - Add support for SCSI IPL with SSID 1, 2, and 3
    - Various return-code fixes
- Reworked snipl-0.2.3.3-hwmcaapidir.patch to fit new version
  and renamed it to snipl-0.3.0.0-hwmcaapidir.patch.
- Removed the unzip package as a build requirement.
- Updated hwmcaapi.download to match the current text on IBM's
  web page.

-------------------------------------------------------------------
Tue Apr 12 15:32:02 UTC 2016 - mpost@suse.com

- Upgraded to snipl 0.2.3.3 (Fate#319578)
- Upgraded the hwmcaapi files to version 2.13.1-27
- Removed hwmcaapi.x86_64.zip in favor of the new version
  which is packaged as an RPM.
- Added hwmcaapi files for i686.
- Updated the hwmcaapi.download file to point to the additional
  files needed for i686.
- Updated and renamed snipl-0.2.3.1-hwmcaapidir.patch to match
  the current version.
- Simplified the spec file by packing all the hwmcaapi RPMs into
  a single tarball and then using variables for the architectures
  being built.
- Removed obsolete snipl-enable-x86_64-arch.patch

-------------------------------------------------------------------
Mon Mar 23 23:20:15 UTC 2015 - dimstar@opensuse.org

- BuildRequire libnet-devel instead of libnet: the library was
  repackaged according the shared library packaging policy.

-------------------------------------------------------------------
Tue Jan 21 03:45:30 UTC 2014 - mpost@suse.com

- Changed the license information in the spec file to CPL-1.0 and SUSE-NonFree.

-------------------------------------------------------------------
Fri Jan 17 18:48:47 UTC 2014 - mpost@suse.com

- Changed spec file to use dos2unix instead of sed, since the OBS
  seems to be removing the Control-M from the sed command string.

-------------------------------------------------------------------
Thu Jan 16 18:58:24 UTC 2014 - mpost@suse.com

- New IBM version of the tarball incorporating Makefile fixes
  (bnc#855242 and bnc#856178)
  - Reworked snipl-0.2.3.1-hwmcaapidir.patch to match new version.
  - Removed snipl-makefile-fixes.patch since it's no longer needed.

-------------------------------------------------------------------
Tue Jan 14 15:35:31 UTC 2014 - mpost@suse.com

- Upgraded to snipl 0.2.3.1 (bnc#856178).
  - Reworked snipl-0.2.3.0-hwmcaapidir.patch to match new version.
  - Renamed snipl-0.2.3.0-hwmcaapidir.patch to snipl-0.2.3.1-hwmcaapidir.patch
  - Reworked snipl-makefile-fixes.patch to match new version.

-------------------------------------------------------------------
Sat Nov 30 06:01:18 UTC 2013 - mpost@suse.com

- Upgraded to snipl 0.2.3.0
  - (FATE # 315305: snIPL interface to control dynamic CPU capacity)
- Upgraded hwmcaapi and hwmcaapi-devel to 2.12.0-12.
- Changed the spec file to Buildrequires libglue-devel instead
  of heartbeat-devel.
- Updated the dmsvsma.x to the version from z/VM 5.4.
- Added hwmcaapi.x86_64.zip from IBM.
- Added snipl-enable-x86_64-arch.patch to that it will build on the
  x86_64 architecture also.
- Added snipl-makefile-fixes.patch to fix the Makefile so the package
  would build with the newer version of gcc and binutils.
- Changed the License in snipl.spec to the new specification of CPL-1.0

-------------------------------------------------------------------
Thu May 14 12:29:56 CEST 2009 - uli@suse.de

- added missing license file (bnc#498414)

-------------------------------------------------------------------
Tue Feb 17 13:49:44 CET 2009 - uli@suse.de

- update snipl -> 0.2.1.5, hwmcaapi -> 2.10.1-76 (bnc#467547)
  - snipl stonith plugin: ignore some vmsmapi command reply complains - not
    returning an error code for them to stonith.

-------------------------------------------------------------------
Mon Dec  8 14:31:16 CET 2008 - uli@suse.de

- fixed BuildRequires (heartbeat-common-devel -> heartbeat-devel)

-------------------------------------------------------------------
Wed Oct 15 12:30:27 CEST 2008 - ro@suse.de

- activate ExclusiveArch 

-------------------------------------------------------------------
Wed Sep 10 13:11:35 CEST 2008 - uli@suse.de

- update -> 0.2.1.4 (bug #420370)
  - correct configuration data handling for LPARs to allow proper password
    propagation
  - correct newline handling when sending operating system commands in LPAR
    mode
  - enhance fencing availability for stonith HA by allowing different
    image-servers for an image in a snipl configuration

-------------------------------------------------------------------
Thu Aug  7 01:16:49 CEST 2008 - ro@suse.de

- add exclusivearch to specfile 

-------------------------------------------------------------------
Mon Feb 19 14:11:47 CET 2007 - uli@suse.de

- update -> 0.2.1.3-v3 (fixes memleaks)

-------------------------------------------------------------------
Wed Feb  7 11:37:50 CET 2007 - uli@suse.de

- added missing libs (libsniplapi.so, libvmsapi.so)

-------------------------------------------------------------------
Tue Jan 23 16:08:21 CET 2007 - uli@suse.de

- update -> 0.2.1.3 (includes heartbeat 2 plugin)
  (update from Fate#301623)

-------------------------------------------------------------------
Wed Oct 11 17:17:51 CEST 2006 - uli@suse.de

- intitial package (Fate#301623)